# This file created by conda-build 2.1.15
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/python-3.6-recipe.git', commit b'9fe2f9ba54feaff6a04f67aec6d5a1daecb49160'
# ------------------------------------------------

package:
    name: python
    version: 3.6.3
source:
    fn: Python-3.6.3.tgz
    md5: e9180c69ed9a878a4a8a3ab221e32fa9
    patches:
        - osx64-dist.patch
        - intel_version.patch
        - intel_distutil_build.patch
        - intel_cprt.patch
        - intel_skip_hanging_test.patch
        - intel_test_subprocess_fix.patch
    url: https://www.python.org/ftp/python/3.6.3/Python-3.6.3.tgz
build:
    detect_binary_files_with_prefix: 'False'
    features:
        - intel
    no_link:
        - bin/python3.6
    noarch: ''
    noarch_python: false
    number: '12'
    string: intel_12
    track_features: ''
requirements:
    build:
        - sqlite 3.23.1 intel_0
        - tcl 8.6.4 intel_19
        - tk 8.6.4 intel_26
        - bzip2 1.0.6 intel_14
        - xz 5.2.3 intel_0
        - intelpython 2018.0.3 0
        - openssl 1.0.2o intel_0
        - zlib 1.2.11 intel_3
    run:
        - intelpython
        - bzip2
        - zlib 1.2.*
        - sqlite 3.23.*
        - tcl 8.6.4
        - tk 8.6.4
        - openssl 1.0.2*
        - xz 5.2.*
test:
    commands:
        - python -m test.test_asyncio -v
        - python -V
        - python3 -V
        - pydoc -h
        - python3-config --help
    requires:
        - intel_tester
about:
    description: 'Python is a widely used high-level, general-purpose, interpreted,
        dynamic

        programming language. Its design philosophy emphasizes code

        readability, and its syntax allows programmers to express concepts in

        fewer lines of code than would be possible in languages such as C++ or

        Java. The language provides constructs intended to enable clear programs

        on both a small and large scale.

        '
    dev_url: https://docs.python.org/devguide/
    doc_url: https://www.python.org/doc/versions/
    home: http://www.python.org/
    license: PSF
    license_file: LICENSE
    summary: general purpose programming language
extra:
    final: true
